aboutsummaryrefslogtreecommitdiffstats
path: root/.zsh.after/functions.zsh
diff options
context:
space:
mode:
authorDavid Runge <david.runge@frqrec.com>2013-11-03 14:47:57 +0100
committerDavid Runge <david.runge@frqrec.com>2013-11-03 14:47:57 +0100
commit988a4652e4501ec03ef814e62a5760ba5d69994c (patch)
treeb7afe9e26047cac4248ab6a200bb901ba1109628 /.zsh.after/functions.zsh
parent26b50496442224dd4fd4b47df4033a21337f4f0e (diff)
downloaddotfiles-988a4652e4501ec03ef814e62a5760ba5d69994c.tar.gz
dotfiles-988a4652e4501ec03ef814e62a5760ba5d69994c.tar.bz2
dotfiles-988a4652e4501ec03ef814e62a5760ba5d69994c.tar.xz
dotfiles-988a4652e4501ec03ef814e62a5760ba5d69994c.zip
Merging of several source files for zsh and others.
Diffstat (limited to '.zsh.after/functions.zsh')
-rw-r--r--.zsh.after/functions.zsh96
1 files changed, 79 insertions, 17 deletions
diff --git a/.zsh.after/functions.zsh b/.zsh.after/functions.zsh
index 1a87ab5..e43dbd6 100644
--- a/.zsh.after/functions.zsh
+++ b/.zsh.after/functions.zsh
@@ -15,17 +15,6 @@
fi
}
-## COMPRESSION
- function tar_tgz {
- tar cvfz $1.tgz $1
- }
- function tar_tbz {
- tar cvfj $1.tbz $1
- }
- function tar_tlz {
- tar --lzma -cvf $1.tlz $1
- }
-
## DOTFILES
function update_dot() {
for i in $HOME/dropbox/dot/[a-zA-Z]*;
@@ -170,13 +159,86 @@ function publish() {
}
function securium {
- port=44350
- chromium --proxy-server="socks://localhost:$port" &
- exit
+ port=44350
+ chromium --proxy-server="socks://localhost:$port" &
+ exit
}
## ZSH
- refresh() {
- source $HOME/.zshrc
- }
+refresh() {
+ source $HOME/.zshrc
+}
+
+
+
+#Decompress any given compressed file
+extract () {
+if [ -f $1 ] ; then
+case $1 in
+ *.tar.bz2) tar xvjf $1 ;;
+ *.tar.gz) tar xvzf $1 ;;
+ *.bz2) bunzip2 $1 ;;
+ *.rar) unrar x $1 ;;
+ *.gz) gunzip $1 ;;
+ *.tar) tar xvf $1 ;;
+ *.tbz2) tar xvjf $1 ;;
+ *.tgz) tar xvzf $1 ;;
+ *.zip) unzip $1 ;;
+ *.Z) uncompress $1 ;;
+ *.7z) 7z x $1 ;;
+ *) echo "don't know how to extract '$1'..." ;;
+esac
+else
+echo "'$1' is not a valid file!"
+fi
+}
+
+extract_to() {
+ if [ -f $2 ] ;then
+ echo "Extracting to '$2'"
+ local out = $2
+ else
+ echo "Extracting to '$( pwd )'"
+ local out = $( pwd )
+ fi
+ if [ -f $1 ] ;then
+ echo "'$1'"
+ else
+ echo "'$1' is not a valid file!"
+ fi
+}
+
+## compress stuff
+function tar_tgz {
+ tar cvfz $1.tgz $1
+}
+function tar_tbz {
+ tar cvfj $1.tbz $1
+}
+function tar_tlz {
+ tar --lzma -cvf $1.tlz $1
+}
+
+##CRYPTSETUP AND LUKS
+function lopen () {
+ case $1 in
+ "music")
+ sudo cryptsetup luksOpen /dev/disk/by-uuid/b2a8c89e-22f3-4e16-bdd3-ef4bcac8ed4f $1
+ ;;
+ "photos")
+ sudo cryptsetup luksOpen /dev/disk/by-uuid/b2a8c89e-22f3-4e16-bdd3-ef4bcac8ed4f $1
+ ;;
+ esac
+ sudo mount /dev/mapper/$1 /mnt/$1
+}
+
+function lclose () {
+ mountpoint /mnt/$1
+ notmounted=$?
+ if [[ $notmounted != 0 ]] ; then
+ sudo umount /mnt/$1
+ sudo cryptsetup luksClose $1
+ fi
+}
+
# FUNCTIONS >